%define pkgname rubytree
Summary:	Ruby implementation of the generic tree data structure
Name:		ruby-%{pkgname}
Version:	0.6.2
Release:	4
License:	MIT/Ruby License
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	04acabb6a1da7271a1505cecbea507cf
Group:		Development/Languages
URL:		http://rubytree.rubyforge.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RubyTree is a Ruby implementation of the generic tree data structure.
It provides a node-based model to store keyed node-elements in the
tree and simple APIs to access, modify and traverse the structure.
RubyTree is node-centric, where individual nodes on the tree are the
primary compositional and structural elements. This implementation
also mixes in the Enumerable module to allow standard access to the
tree as a collection.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog History.txt README TODO
%{ruby_vendorlibdir}/tree.rb
%{ruby_vendorlibdir}/tree

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Tree
%changelog
* Mon Aug 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rubytree.git;a=log;h=master

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> bb7f9e1
- build noarch, to vendorlibdir

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 063762f
- ruby 2.0 rebuild
- release 3 (by relup.sh)

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 33322ff
- rel 2

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 0196d99
- adapter

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 1487b78
- initial revision

